import { LanguageData } from './language-data';

export class Settings {
    name: string;
    company: string;
    version: string;
    currentEnvironment: string;
    currentPlant: string;
    autoLogoutMinuti: number;
    year: number;
    layout: Layout;
    language: string;
}

export class Layout {
    isFixed: boolean;
    isCollapsed: boolean;
    isBoxed: boolean;
    isRTL: boolean;
    horizontal: boolean;
    isFloat: boolean;
    asideHover: boolean;
    asideScrollbar: boolean;
    isCollapsedText: boolean;
    useFullLayout: boolean;
    hiddenFooter: boolean;
    offsidebarOpen: boolean;
    asideToggled: boolean;
    viewAnimation: string;
}