import { ToastrService } from 'ngx-toastr';
import { Injectable } from '@angular/core';

@Injectable()
export class ToasterWrapperService {

    constructor(private toasterService: ToastrService) { }

    toastError(message: string) {
        this.toasterService.error(message, 'Si è verificato un errore', { timeOut: 15000 });
    }

    toastSuccess(message: string) {
        this.toasterService.success(message, 'Operazione eseguita', { timeOut: 5000 });
    }
}
