import { Component, OnInit, Input, ViewEncapsulation } from '@angular/core';

@Component({
  selector: 'app-content-heading',
  templateUrl: './content-heading.component.html',
  styleUrls: ['./content-heading.component.scss'],
  encapsulation: ViewEncapsulation.None
})
export class ContentHeadingComponent implements OnInit {
  @Input()
  title: string;

  @Input()
  subtitle: string;

  @Input()
  singleRow = false;

  @Input()
  minTitleWidth = '300px';

  constructor() { }

  ngOnInit() {
  }

}
