import { Injectable } from '@angular/core';
import { BehaviorSubject } from 'rxjs';

@Injectable()
export class DashboardItemSubtitleHeaderService {
    private $subtitle = new BehaviorSubject<string>('');

    public getSubtitle(){
        return this.$subtitle.asObservable();
    }

    public setSubtitle(updatedSubtitle){
        this.$subtitle.next(updatedSubtitle);
    }
}