import { SafeUrl } from '@angular/platform-browser';

export class CardGridOptions {
    CardHeight?: string;
    CardMinWidth?: string;
    CardTextSize?: string;
    CardSubtextSize?: string;
    CardBorderRadius?: string;
    CardVerticalSpacing?: string;
    CardHorizontalSpacing?: string;
    CardPictureMaxHeight?: string;
    CardPictureMinHeight?: string;
    CardPictureTopMargin?: string;
}

export class CardGridData {
    Datasource: Array<CardData>;
    Selected: CardData;
}

export class CardData {
    Id: number;
    Text: string;
    Subtext?: string;
    BackgroundColor?: string;
    TextColor?: string;
    PicPath?: string | SafeUrl;
    LinkUrl?: string;
}