import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { SharedModule } from 'src/app/shared/shared.module';
import { HomeComponent } from './home/home.component';
import { PrintDifettiSessioneComponent } from './print-difetti-sessione/print-difetti-sessione.component';


const routes: Routes = [
    {
        path: '',
        component: HomeComponent,
    },
];

@NgModule({
    imports: [
        RouterModule.forChild(routes),
        SharedModule
    ],
    declarations: [
        HomeComponent,
        PrintDifettiSessioneComponent
    ],
    exports: [
        RouterModule
    ],
    providers: [
    ]
})
export class HomeModule { }
