import { Injectable } from '@angular/core';
import { BehaviorSubject } from 'rxjs';

@Injectable()
export class DashboardItemFilterButtonService {
    private $filtersShown = new BehaviorSubject<boolean>(false);

    public filtersShown(){
        return this.$filtersShown.asObservable();
    }

    public setFiltersShown(filtersShown){
        this.$filtersShown.next(filtersShown);
    }
}