import { Component, OnInit } from '@angular/core';
import { DashboardItemFilterButtonService } from '../_services/dashboard-item-filter-button.service';

@Component({
  selector: 'app-dashboard-item-filter-button',
  templateUrl: './dashboard-item-filter-button.component.html',
  styleUrls: ['./dashboard-item-filter-button.component.scss']
})
export class DashboardItemFilterButtonComponent implements OnInit {

  constructor(public filterButtonServ: DashboardItemFilterButtonService) { }

  ngOnInit() {
  }

  onClickShowFilters(evt){
    evt.stopPropagation();
    this.filterButtonServ.setFiltersShown(true);
  }

  onClickHideFilters(evt){
    evt.stopPropagation();
    this.filterButtonServ.setFiltersShown(false);
  }

}
