import { Component, EventEmitter, Input, Output, ViewChild } from '@angular/core';
import * as printJS from 'print-js';

@Component({
    selector: 'app-report-viewer',
    templateUrl: './report-viewer.component.html',
    styleUrls: ['./report-viewer.component.scss']
})
export class ReportViewerComponent {
    @Input() public base64StringReportPDF: string;

    constructor() {}

    public onClickPrintReportPDF() {
        printJS({ printable: this.base64StringReportPDF, type: 'pdf', base64: true });
    }
}